Package org.apache.catalina.mapper

## Class Mapper.MapElement<T>

- java.lang.Object
- - org.apache.catalina.mapper.Mapper.MapElement<T>

- Direct Known Subclasses:
    `Mapper.ContextVersion`, `Mapper.MappedContext`, `Mapper.MappedHost`, `Mapper.MappedWrapper`
  Enclosing class:
    Mapper

      protected abstract static class Mapper.MapElement<T>
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `name` |
    `T` | `object` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapElement​(java.lang.String name, T object)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final java.lang.String name

    - #### object

          public final T object

  - ### Constructor Detail

    - #### MapElement

          public MapElement​(java.lang.String name,
                            T object)